<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>net.digiex</groupId>
    <artifactId>MagicCarpet</artifactId>
    <version>2.4.7-SNAPSHOT</version>
    <packaging>jar</packaging>

    <name>MagicCarpet</name>
    <url>https://github.com/Digiex/MagicCarpet</url>
    <description>A Bukkit Plugin for Minecraft.</description>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
  
    <repositories>
        <repository>
            <id>spigot-repo</id>
            <url>https://hub.spigotmc.org/nexus/content/groups/public</url>
        </repository>
        <repository>
            <id>vault-repo</id>
            <url>http://nexus.hc.to/content/repositories/pub_releases</url>
        </repository>
    </repositories>
    
    <issueManagement>
        <system>GitHub Issues</system>
        <url>https://github.com/Digiex/MagicCarpet/issues</url>
    </issueManagement>
  
    <dependencies>
        <dependency>
            <groupId>org.bukkit</groupId>
            <artifactId>bukkit</artifactId>
            <version>1.13-R0.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>net.milkbowl.vault</groupId>
            <artifactId>VaultAPI</artifactId>
            <version>1.6</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/Vault.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.sk89q</groupId>
            <artifactId>worldguard</artifactId>
            <version>6.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/WorldGuard.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.sk89q</groupId>
            <artifactId>worldedit</artifactId>
            <version>6.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/WorldEdit.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>fr.neatmonster</groupId>
            <artifactId>nocheatplus</artifactId>
            <version>3.11.1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/NoCheatPlus.jar</systemPath>
        </dependency>
    </dependencies>
    
    <build>
    	<finalName>MagicCarpet</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>